Mobile Support Invalid IOS SDK / Android SDK

Getting into LiveCode for iOS? Ask your questions here.

Moderators: Klaus, FourthWorld, heatherlaine, robinmiller, kevinmiller

Post Reply
nrprioleau
Posts: 27
Joined: Mon May 09, 2016 10:53 am

Mobile Support Invalid IOS SDK / Android SDK

Post by nrprioleau » Fri Mar 29, 2019 7:27 pm

I have checked for previous posts but cannot find the answer to this. Has anyone had similar issues and managed to get it working?

I am running xCode 10.0 with Livecode 8.2 simulator
Livecode 9.0.3
Android Studio with latest SDK

In Livecode when setting the Mobile Support in Livecode preferences, I choose xCode for IOS SDK's and get an error "The chosen folder is not a valid IOS SDK. The selected XCODE must have a valid SDK among 8.2 - 12."

Bit confused.com

simon.schvartzman
Posts: 305
Joined: Tue Jul 29, 2014 12:52 am
Location: Brazil

Re: Mobile Support Invalid IOS SDK / Android SDK

Post by simon.schvartzman » Sat Mar 30, 2019 2:04 pm

Hi, with LC 9.0.3 you should use Xcode 10.1. I guess updating your Xcode version will fix the issue.

Hope it helps
Simon
________________________________________
To ";" or not to ";" that is the question

nrprioleau
Posts: 27
Joined: Mon May 09, 2016 10:53 am

Re: Mobile Support Invalid IOS SDK / Android SDK

Post by nrprioleau » Sat Mar 30, 2019 2:37 pm

Hi Simon,
Thanks. I will try although I have tested 9.0.2 with xCode 10.0. I have upgraded to xCode 10.2 with LiveCode 9.0.3 but will try and downgrade to 10.1 and see if that helps.

The same issue happens when I try and include Mobile Support for Android?

Regards
Nic

simon.schvartzman
Posts: 305
Joined: Tue Jul 29, 2014 12:52 am
Location: Brazil

Re: Mobile Support Invalid IOS SDK / Android SDK

Post by simon.schvartzman » Sat Mar 30, 2019 2:53 pm

Hi Nic, Android is a complete different "animal" and is not related to the Xcode Version. In this case it is all about Android Development Studio.

I would recommend you focus on one platform at a time. Once the first one is OK then move to the other.

This is how my Preferences + Mobile Support setup looks like (and works OK)
Screen Shot 2019-03-30 at 10.48.03.png
Hope it helps
Simon
________________________________________
To ";" or not to ";" that is the question

nrprioleau
Posts: 27
Joined: Mon May 09, 2016 10:53 am

Re: Mobile Support Invalid IOS SDK / Android SDK

Post by nrprioleau » Sat Mar 30, 2019 5:32 pm

Thanks Simon,
Downgrading to xCode 10.1 has worked for me.
Regards
Nic

cusinger3
Posts: 7
Joined: Mon May 13, 2019 11:44 pm

Re: Mobile Support Invalid IOS SDK / Android SDK

Post by cusinger3 » Tue May 14, 2019 12:54 am

Apple will not let you use anything except IOS SDK 12.1 and up with XCode 10 (Mohave). I cannot find the location for IOS SDK 12.1. I tried the path shown in these posts: /applications/XCode.app/Contents/Developer in the Preferences section, but Livecode could not find it.

Is Livecode compatible with Mohave and SDK 12.1... and if not, what is the expected timeframe - because I can't upload anything until then.

Thanks

simon.schvartzman
Posts: 305
Joined: Tue Jul 29, 2014 12:52 am
Location: Brazil

Re: Mobile Support Invalid IOS SDK / Android SDK

Post by simon.schvartzman » Tue May 14, 2019 1:32 am

Go with XCode 10.1, that can be found here:

https://developer.apple.com/download/more/

searching for XCode 10.1
Screen Shot 2019-05-13 at 21.29.43.png
Hope it helps
Simon
________________________________________
To ";" or not to ";" that is the question

cusinger3
Posts: 7
Joined: Mon May 13, 2019 11:44 pm

Re: Mobile Support Invalid IOS SDK / Android SDK

Post by cusinger3 » Tue May 14, 2019 1:50 am

I'd love for it to work...but this is what apple says:

According to Apple, all new apps and app updates for iPhone, including universal apps, will be need to be built with the iOS 12 SDK and will need to include support for the iPhone XS Max starting in March 2019.

So xcode 10.1 doesn't comply

simon.schvartzman
Posts: 305
Joined: Tue Jul 29, 2014 12:52 am
Location: Brazil

Re: Mobile Support Invalid IOS SDK / Android SDK

Post by simon.schvartzman » Tue May 14, 2019 2:29 am

iOS SDK 12.1 is included in xCode 10.1
Screen Shot 2019-05-13 at 22.23.32.png
I've submitted Apps to the Apple store (after March) and were approved.

I'd suggest that you give a try
Simon
________________________________________
To ";" or not to ";" that is the question

cusinger3
Posts: 7
Joined: Mon May 13, 2019 11:44 pm

Re: Mobile Support Invalid IOS SDK / Android SDK

Post by cusinger3 » Wed May 15, 2019 2:50 am

Well... I tried XCode 10.1, only to get a message: The chosen folder is not a valid ios SDK. Selected Xcode must have an iOS SDK among: 6.1 7.1 8.2 9.2 10.2 11.2 (see attachment).

I don't know why your computer works with 11.1 and mine doesn't.

Livecode version that I tested this on: Livecode 8.1.9


I'm using a remote Mac - because Apple requires IOS Mohave and it is incompatible with my Mac. I did try downloading XCode 11.1 on my computer, it required MacOS Sierra 10.13 - and even though my computer is MacOS Sierrra, my computer doesn't have enough disk space for the higher versions (Apple increased the requirements).

So, I'm back to.... what are my options - and when will Livecode be compatible with IOS Mohave? :cry:
Attachments
livecodenew2.png
livecodenew1.png

simon.schvartzman
Posts: 305
Joined: Tue Jul 29, 2014 12:52 am
Location: Brazil

Re: Mobile Support Invalid IOS SDK / Android SDK

Post by simon.schvartzman » Wed May 15, 2019 1:45 pm

I have two remarks:

1 - You should be working with LC 9.0.3 instead of LC 8.1.9.

2 - According to your screenshot instead of Xcode 10.1 you have Xcode 9.2
Screen Shot 2019-05-15 at 09.34.27.png
Moreover, about:
when will Livecode be compatible with IOS Mohave
I can assure LC 9.0.3 is compatible with MacOS Mojave as this is the version I ran on my Mac.

finally regarding:
I'm using a remote Mac...
I don't nothing about this but my guess it has nothing to do with your problems.

In short for me you should properly install LC 9.0.3 + Xcode 10.1 and will be good to go.
Simon
________________________________________
To ";" or not to ";" that is the question

cusinger3
Posts: 7
Joined: Mon May 13, 2019 11:44 pm

Re: Mobile Support Invalid IOS SDK / Android SDK

Post by cusinger3 » Mon May 20, 2019 6:02 pm

You were right...it does work with xcode 9.1 thanks

Post Reply

Return to “iOS Deployment”